EJBQLTranslatorFactory (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.access.translator.ejbql, interface: EJBQLTranslatorFactory

# Interface EJBQLTranslatorFactory

All Known Implementing Classes:
  `DB2EJBQLTranslatorFactory, DerbyEJBQLTranslatorFactory, FirebirdEJBQLTranslatorFactory, H2EJBQLTranslatorFactory, HSQLEJBQLTranslatorFactory, JdbcEJBQLTranslatorFactory`

public interface EJBQLTranslatorFactory
Defines a factory for translation visitors of EJBQL. DbAdapters can customize EJBQL translation by providing their own factory implementation.

Since:
  3.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EJBQLExpressionVisitor`
  `getAggregateColumnTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getConditionTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getDeleteTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getFromTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getGroupByTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getIdentifierColumnsTranslator(EJBQLTranslationContext context)`
  `EJBQLJoinAppender`
  `getJoinAppender(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getOrderByTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getSelectColumnsTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getSelectTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getUpdateItemTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getUpdateTranslator(EJBQLTranslationContext context)`

- ## Method Details

  - ### getJoinAppender

    EJBQLJoinAppender getJoinAppender(EJBQLTranslationContext context)

  - ### getSelectTranslator

    EJBQLExpressionVisitor getSelectTranslator(EJBQLTranslationContext context)

  - ### getDeleteTranslator

    EJBQLExpressionVisitor getDeleteTranslator(EJBQLTranslationContext context)

  - ### getUpdateTranslator

    EJBQLExpressionVisitor getUpdateTranslator(EJBQLTranslationContext context)

  - ### getAggregateColumnTranslator

    EJBQLExpressionVisitor getAggregateColumnTranslator(EJBQLTranslationContext context)

  - ### getConditionTranslator

    EJBQLExpressionVisitor getConditionTranslator(EJBQLTranslationContext context)

  - ### getFromTranslator

    EJBQLExpressionVisitor getFromTranslator(EJBQLTranslationContext context)

  - ### getGroupByTranslator

    EJBQLExpressionVisitor getGroupByTranslator(EJBQLTranslationContext context)

  - ### getIdentifierColumnsTranslator

    EJBQLExpressionVisitor getIdentifierColumnsTranslator(EJBQLTranslationContext context)

  - ### getOrderByTranslator

    EJBQLExpressionVisitor getOrderByTranslator(EJBQLTranslationContext context)

  - ### getSelectColumnsTranslator

    EJBQLExpressionVisitor getSelectColumnsTranslator(EJBQLTranslationContext context)

  - ### getUpdateItemTranslator

    EJBQLExpressionVisitor getUpdateItemTranslator(EJBQLTranslationContext context)